object frmMain: TfrmMain
  Left = 291
  Top = 129
  Width = 500
  Height = 542
  Caption = 'SAP Data Viewer'
  Color = clBtnFace
  Constraints.MinHeight = 400
  Constraints.MinWidth = 380
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -10
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  KeyPreview = True
  OldCreateOrder = False
  Position = poScreenCenter
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  DesignSize = (
    492
    508)
  PixelsPerInch = 96
  TextHeight = 13
  object lblInfo: TLabel
    Left = 379
    Top = 7
    Width = 3
    Height = 13
  end
  object EditFileName: TEdit
    Left = 8
    Top = 4
    Width = 338
    Height = 21
    Hint = 'Press F4 to select input file'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 0
    OnKeyDown = EditFileNameKeyDown
  end
  object btnFileBrowse: TButton
    Left = 349
    Top = 4
    Width = 18
    Height = 20
    Caption = '...'
    TabOrder = 1
    TabStop = False
    OnClick = btnFileBrowseClick
  end
  object btnRead: TButton
    Left = 8
    Top = 47
    Width = 75
    Height = 25
    Caption = '&Read'
    TabOrder = 3
    OnClick = btnReadClick
  end
  object pnlTree: TPanel
    Left = 8
    Top = 76
    Width = 476
    Height = 409
    Anchors = [akLeft, akTop, akRight, akBottom]
    TabOrder = 4
    object TreeList: TcxTreeList
      Left = 1
      Top = 1
      Width = 474
      Height = 407
      Align = alClient
      Anchors = [akLeft, akTop, akRight]
      Bands = <
        item
          Caption.Text = 'IDoc'
        end>
      BufferedPaint = False
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clSkyBlue
      Font.Height = -10
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      LookAndFeel.Kind = lfOffice11
      OptionsBehavior.AlwaysShowEditor = True
      OptionsBehavior.CellHints = True
      OptionsBehavior.IncSearchItem = ColumnNames
      OptionsBehavior.Sorting = False
      OptionsBehavior.MultiSort = False
      OptionsBehavior.IncSearch = True
      OptionsView.ShowEditButtons = ecsbFocused
      OptionsView.Bands = True
      OptionsView.CategorizedColumn = ColumnNames
      OptionsView.ColumnAutoWidth = True
      OptionsView.PaintStyle = tlpsCategorized
      OptionsView.TreeLineColor = clGradientActiveCaption
      OptionsView.TreeLineStyle = tllsSolid
      ParentFont = False
      Preview.Visible = True
      TabOrder = 0
      OnCustomDrawCell = TreeListCustomDrawCell
      OnKeyDown = TreeListKeyDown
      OnResize = TreeListResize
      object ColumnNames: TcxTreeListColumn
        DataBinding.ValueType = 'String'
        Options.Editing = False
        Width = 91
        Position.ColIndex = 0
        Position.RowIndex = 0
        Position.BandIndex = 0
      end
      object ColumnData: TcxTreeListColumn
        DataBinding.ValueType = 'String'
        Width = 132
        Position.ColIndex = 1
        Position.RowIndex = 0
        Position.BandIndex = 0
        OnGetEditProperties = ColumnDataGetEditProperties
      end
      object ColumnInfo: TcxTreeListColumn
        Visible = False
        DataBinding.ValueType = 'String'
        Position.ColIndex = 2
        Position.RowIndex = 0
        Position.BandIndex = 0
      end
    end
  end
  object StatusBar: TdxStatusBar
    Left = 0
    Top = 488
    Width = 492
    Height = 20
    Panels = <
      item
        PanelStyleClassName = 'TdxStatusBarTextPanelStyle'
        Fixed = False
        MinWidth = 250
        Text = #169'2004-2007 Software Union G.m.b.H. Luxembourg'
        Width = 280
      end
      item
        PanelStyleClassName = 'TdxStatusBarContainerPanelStyle'
        PanelStyle.Container = StatusBarParFilesInfoContainer
        Width = 40
      end
      item
        PanelStyleClassName = 'TdxStatusBarTextPanelStyle'
        PanelStyle.Font.Charset = DEFAULT_CHARSET
        PanelStyle.Font.Color = clWindowText
        PanelStyle.Font.Height = -11
        PanelStyle.Font.Name = 'MS Sans Serif'
        PanelStyle.Font.Style = [fsUnderline]
        PanelStyle.ParentFont = False
        Fixed = False
        MinWidth = 0
        Text = 'info@softwareunion.lu'
        Width = 100
        OnDblClick = EMailDblClick
      end>
    PaintStyle = stpsOffice11
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    object StatusBarParFilesInfoContainer: TdxStatusBarContainerControl
      Left = 318
      Top = 2
      Width = 40
      Height = 16
      object lblParFilesInfo: TcxLabel
        Left = 0
        Top = 0
        Align = alClient
        Caption = 'Auto'
        ParentShowHint = False
        ShowHint = True
        Transparent = True
      end
    end
  end
  object ProgressFileRead: TcxProgressBar
    Left = 96
    Top = 51
    Anchors = [akLeft, akTop, akRight]
    Properties.BarStyle = cxbsGradient
    Properties.BeginColor = clWhite
    Properties.EndColor = clNavy
    Style.BorderStyle = ebsOffice11
    TabOrder = 6
    Visible = False
    Width = 388
  end
  object chkProcessEmpty: TCheckBox
    Left = 8
    Top = 27
    Width = 129
    Height = 17
    Caption = '&Process empty fields'
    TabOrder = 2
  end
  object FileOpenDialog: TOpenDialog
    DefaultExt = '*.txt'
    Filter = 'Text files|*.txt|All files|*.*'
    Title = 'Select IDoc'
    Left = 376
  end
  object XPManifest: TXPManifest
    Left = 408
    Top = 65535
  end
end
